textures/rotcannon/pal
{
	entityMergable
	cull none
	{
		map textures/rotcannon/particle.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/rotcannon/voda
{
  //surfaceparm trans
  //surfaceparm nonsolid
  surfaceparm water
  surfaceparm nolightmap
  cull disable
  deformVertexes wave 64 sin .25 .25 0 .5
  {
    map textures/rotcannon/voda.jpg
    blendFunc GL_DST_COLOR GL_ONE
    rgbgen identity
    tcmod scale .5 .5
    tcmod scroll .025 .01
  }
 // {
 //   map textures/rotcannon/voda.jpg
 //   blendFunc GL_DST_COLOR GL_ONE
 //   tcmod scale -.5 -.5
 //   tcmod scroll .025 .025
 // }
}

textures/rotcannon/cedulka_push
{
	qer_editorimage textures/rotcannon/cedulka_push.jpg
	nopicmip
	{
		map textures/rotcannon/cedulka_push.jpg
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/rotcannon/cedulka_hit
{
	qer_editorimage textures/rotcannon/cedulka_hit.jpg
	nopicmip
	{
		map textures/rotcannon/cedulka_hit.jpg
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/rotcannon/base_yellow_nosh
{
	qer_editorimage textures/niveus/base_yellow.jpg
	surfaceparm nolightmap
	{
		map textures/niveus/base_yellow.jpg
	}
}

textures/rotcannon/ladder
{
	qer_trans .75
	qer_editorimage textures/common/ladder.jpg
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/rotcannon/ice_track2
{
	qer_editorimage textures/niveus/base_flat_dark.jpg
	surfaceparm slick
	surfaceparm nodamage
	{
		map textures/niveus/base_flat_dark.jpg
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/rotcannon/gate
{
	qer_editorimage textures/niveus/e8bgrate01.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	nopicmip
	{
		map textures/niveus/e8bgrate01.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

textures/rotcannon/glass_zkzr_obestrany
{
	qer_editorimage textures/niveus/scratchglass.jpg
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	{
		map textures/niveus/scratchglass.jpg
		blendfunc add
		rgbGen const ( 0.1 0.1 0.1 )
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}

}

textures/rotcannon/glass_marks
{
	qer_editorimage textures/niveus/scratchglass.jpg
	surfaceparm trans
	{
		map textures/niveus/scratchglass.jpg
		blendfunc add
		rgbGen const ( 0.1 0.1 0.1 )
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}

}


textures/rotcannon/bulb
{
	qer_editorimage textures/niveus/bulb_white.tga
	surfaceparm nolightmap
	{
		map textures/niveus/bulb_white.tga
	}
}

models/mapobjects/multiplant/batleaf
{
	qer_editorImage models/mapobjects/multiplant/batleaf.tga
	qer_alphaFunc gequal 0.5
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	cull none
	{
		map models/mapobjects/multiplant/batleaf.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}